/*
 * 
 *  This file is part of Sourceprojects.org Lycia Copyright 2010 noctarius
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 */
package org.sourceprojects.lycia.internal.generator;

import org.sourceprojects.lycia.Delegate;

/**
 * 
 * @author noctarius
 * @since 1.9.1
 * 
 * @param <B>
 */
public abstract class BytecodeDelegate<T> implements Delegate<T> {
	private Object parser;

	public final void setParser(Object parser) {
		this.parser = parser;
	}

	public final Object getParser() {
		return parser;
	}

	@Override
	public String toString() {
		return "BytecodeDelegate [parser=" + parser + "]";
	}

}
